Cannot resolve symbol 'springframework'

Answered

I just started using IDEA and am running into a strange issue. I searched these forums and noticed that others had similar issues, but haven't been able to find a solution that will help me.

So the issue is with one particular class which for some reason IDEA doesn't seem to like. Many of my classes use Spring, so it baffles me that IDEA complains about this particular class.

Basically, it says that the import section is incorrect. I am importing some classes from Spring. This same project works fine in Eclipse.

I tried removing my idea directory, reimporting the project, reinstalling my JDK... I still can't get this to work.

This is a Maven project that builds fine. I am running on Ubuntu 32-bit with a 32-bit JDK.

Any thoughts on what the problem could be? See attached screenshot.



Attachment(s):
idea-error.png
7 comments
Comment actions Permalink

Any pointer to remove above error.. because I am facing the same issue as show in attachment

 

0
Comment actions Permalink

Hello Shive,

Do you see "org.springframework*" in module dependencies ("Project Structure | Module - Dependencies")? Is it possible to provide sample project for investigation?

 

0
Comment actions Permalink

I am having the same problem, but only in Windows 10 (behind a proxy). I have no problem at all in a mac without proxy. Anybody knows how to solve this?

0
Comment actions Permalink

@Adapt Robot Lab

Do you use Maven/Gradle? It could be a case when build system cannot download a dependency. 

Do you see any errors in idea.log

0
Comment actions Permalink

@Konstanti Annikov

I am having the problem when I use Maven. This problem does not arise with Gradle. (in Gradle I had to configure the proxy for Gradle though)

0
Comment actions Permalink

Does build from command line work without errors? 

0
Comment actions Permalink

i have the same problem when i use maven, i have just forget the taglibs dependency

<dependency>

<groupId>org.springframework.security</groupId>

<artifactId>spring-security-taglibs</artifactId>

<version>5.1.5.RELEASE</version>

</dependency>

0

Please sign in to leave a comment.